Bug 136711 - update java/java3d
Summary: update java/java3d
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-13 12:40 UTC by Jonathan Chen
Modified: 2009-08-11 18:37 UTC (History)
0 users

See Also:


Attachments
file.diff (6.54 KB, patch)
2009-07-13 12:40 UTC, Jonathan Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Chen 2009-07-13 12:40:00 UTC
Allow java/java3d to build with a Custom PREFIX and LOCALBASE.

No portrevision bump required, as it wouldn't custom PREFIX
and LOCALBASE wouldn't work installed without this patch.
Comment 1 Dmitry Marakasov freebsd_committer 2009-07-28 19:09:14 UTC
State Changed
From-To: open->feedback

This may fix it with _same_ PREFIX and LOCALBASE, but the logic is wrong 
- prefix is where the app is installed, and localbase is where it uses 
libraries/includes from. So this change likely needs to use localbase.
Comment 2 Dmitry Marakasov freebsd_committer 2009-07-28 19:14:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 3 Dmitry Marakasov freebsd_committer 2009-08-11 18:36:09 UTC
State Changed
From-To: feedback->open

Feedback timeout
Comment 4 Dmitry Marakasov freebsd_committer 2009-08-11 18:37:13 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!